Bug 1519042 - sugar desktop starts in journal.
Summary: sugar desktop starts in journal.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yaakov Selkowitz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-30 00:05 UTC by satellitgo
Modified: 2018-12-10 23:19 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-10 23:19:57 UTC


Attachments (Terms of Use)
wrong sugar start screen (28.56 KB, image/png)
2017-11-30 00:11 UTC, satellitgo
no flags Details
log shortly after first boot (15.88 KB, application/zip)
2018-11-27 22:01 UTC, Frederick Grose
no flags Details
logs shortly after first boot with upgraded metacity (15.48 KB, application/zip)
2018-11-29 16:07 UTC, Frederick Grose
no flags Details

Description satellitgo 2017-11-30 00:05:19 UTC
Description of problem:sugar desktop starts in journal.


Version-Release number of selected component (if applicable):
sugar desktop starts in journal. not in f3 Main menu as it should.
seen in f27 and f28 rawhide live install

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
https://wiki.sugarlabs.org/go/File:Sugar-desktop_start_screen.png

Comment 1 Fedora Blocker Bugs Application 2017-11-30 00:08:17 UTC
Proposed as a Freeze Exception for 28-beta by Fedora user satellit using the blocker tracking app because:

 wrong behavior on start of soas  
should open in f3 Desktop main menu
non-blocking desktop

Comment 2 satellitgo 2017-11-30 00:11:06 UTC
Created attachment 1360622 [details]
wrong sugar start screen

Comment 3 Geoffrey Marr 2017-12-11 18:22:29 UTC
Discussed during the 2017-12-11 blocker review meeting: [1]

The decision to classify this bug as an AcceptedFreezeException was made as it is clearly wrong behaviour in a non-blocking live image that can't be fixed with an update, and the fix is highly likely to be localized to Sugar.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2017-12-11/f28-blocker-review.2017-12-11-17.01.txt

Comment 4 satellitgo 2018-01-10 15:55:11 UTC
still present in Fedora-SoaS-Live-x86_64-Rawhide-20180107.n.0.iso

Comment 5 satellitgo 2018-01-16 20:31:35 UTC
https://github.com/sugarlabs/sugar/issues/769
(also present in ubuntu) James Cameron

Comment 6 Fedora End Of Life 2018-02-20 15:29:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 7 Peter Robinson 2018-03-21 03:20:54 UTC
This needs to be actually assigned to a component that's not actually dead, the Journal had for years been part of core sugar.

Comment 8 satellitgo 2018-04-03 16:22:14 UTC
note to get to main screen (f3) hit f1 key then f3 key

Comment 9 Adam Williamson 2018-08-29 00:10:45 UTC
Per satellit this is still happening in F29, so let's propose it as an FE for F29 Beta...

Comment 10 Peter Robinson 2018-08-29 09:37:11 UTC
(In reply to Adam Williamson from comment #9)
> Per satellit this is still happening in F29, so let's propose it as an FE
> for F29 Beta...

Removing, this needs to be fixed upstream and there's no movement in the upstream issue referenced in comment 4. Once we have a patch there it would be worth considering a FE but until that point it's a waste of time and process.

Comment 11 satellitgo 2018-08-29 16:14:38 UTC
it has nothing to do with fedora, it is a gtk+ vs sugar toolkit problem at heart, also seen in debian and ubuntu. (James Cameron)

Comment 12 Peter Robinson 2018-08-29 18:43:43 UTC
(In reply to satellitgo from comment #11)
> it has nothing to do with fedora, it is a gtk+ vs sugar toolkit problem at
> heart, also seen in debian and ubuntu. (James Cameron)

So until it's fixed upstream in Sugar please stop proposing it as a blocker and wasting everyone's time in the process!

Comment 13 satellitgo 2018-11-21 03:58:34 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1519042 still present
Fedora-SoaS-Live-x86_64-Rawhide-20181120.n.0.iso
Fedora-SoaS-Live-x86_64-Rawhide-20181119.n.0.iso
Fedora-SoaS-Live-x86_64-Rawhide-20181118.n.0.iso
all work in Oracle VirtualBox f28

Comment 14 James Cameron 2018-11-24 07:43:14 UTC
The triggering cause wasn't Sugar, but Metacity.

It was the upgrade of Metacity from 3.24.0 to 3.25.2, and git bisect shows first bad commit is

"unminimize windows with initial IconicState if first known on MapRequest"
https://github.com/GNOME/metacity/commit/6875256e63fbfd4500ddd27a7bf1aafc8d4c1ca3 

ported from mutter
https://gitlab.gnome.org/GNOME/mutter/commit/be5c2eb

It isn't clear to me that this represents a problem with Sugar.  I'd like to hear from any Metacity or X-Windows experts on the matter, thanks!

Comment 15 Peter Robinson 2018-11-24 12:42:03 UTC
Re-assigning so we can get that feedback from the metacity maintainers.

Comment 16 Frederick Grose 2018-11-27 22:01:55 UTC
Created attachment 1509235 [details]
log shortly after first boot

The patch offered at http://lists.sugarlabs.org/archive/iaep/2018-November/020586.html was applied to F29-SOAS-x86_64-20181119-Live.iso, a fedora-respin, loaded onto a USB device before it was booted.

The Home View opened, showed the central icon with Journal icon below and no Activity icons at first.  Then all the Activity icons appeared in the circle.

The shell log shows some evidence of the metacity issue.

Comment 17 satellitgo 2018-11-28 20:23:38 UTC
I applied the patch to a F30 soas live install to a T400 Thinkpad with Mate as a 2nd DE, used sugar terminal and USB with fix on it. Starts fine in f3 Home screen of sugar desktop.

https://wiki.sugarlabs.org/go/Fedora_30#Fix_for_soas_starting_with_journal_over_f3_Home_screen

Comment 18 Fedora Update System 2018-11-29 15:25:25 UTC
metacity-3.30.1-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d6502e66b8

Comment 19 Frederick Grose 2018-11-29 16:07:10 UTC
Created attachment 1509864 [details]
logs shortly after first boot with upgraded metacity

metacity-3.30.1-2.fc29 was installed into a freshly loaded USB device with F29-SOAS-x86_64-20181127-Live.iso, a fedora-respin, before it was booted.

Home View showed as expected.

Comment 20 Fedora Update System 2018-11-30 15:12:35 UTC
metacity-3.30.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d6502e66b8

Comment 21 satellitgo 2018-11-30 17:50:37 UTC
fixed in Fedora-SoaS-Live-x86_64-Rawhide-20181130.n.0.iso

thanks

Comment 22 Randy Barlow 2018-12-10 23:19:57 UTC
An update associated with this bug has been pushed to stable.


Note You need to log in before you can comment on or make changes to this bug.